/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.padroesdr.facade;

/**
 *
 * @author Adriano Gonçalves
 */
public class IoTSystem implements SensorInformation {

    @Override
    public String getStatus() {
        TemperatureSensor temperatureSensor = new TemperatureSensor();
        HumiditySensor humiditySensor = new HumiditySensor();
        LuminositySensor luminositySensor = new LuminositySensor();

        float temperature = temperatureSensor.readValue();
        float humidity = humiditySensor.readValue();
        float luminosity = luminositySensor.readValue();

        if (temperature > 35. && humidity < 20 && luminosity > 70) {
            return "Desert feelings";
        } else if (temperature > 35. && humidity > 80 && luminosity < 50) {
            return "Rainning tropical forest";
        } else if (humidity < 30) {
            return "Kinda dry.";
        } else if (temperature < -30.) {
            return "Are you in Siberia??";
        } else {
            return "ok";
        }
    }

}
